"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateTimePickerBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#datetimepicker
 * @@displayName Date Picker
 */
class DateTimePickerBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.DateTimePicker,
            initialDateTime: helpers_1.getDateTimeIntegerFromDate(this.props.initialDateTime),
            confirm: helpers_1.getBuilderResult(this.props.confirm),
        });
    }
}
exports.DateTimePickerBuilder = DateTimePickerBuilder;
helpers_1.applyMixins(DateTimePickerBuilder, [
    methods_1.ActionId,
    methods_1.Confirm,
    methods_1.End,
    methods_1.FocusOnLoad,
    methods_1.InitialDateTime,
]);
