"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.URLInputBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#url
 * @@displayName URL Input
 */
class URLInputBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.URLInput,
            placeholder: helpers_1.getPlainTextObject(this.props.placeholder),
            dispatchActionConfig: helpers_1.getDispatchActionsConfigurationObject(this.props),
        });
    }
}
exports.URLInputBuilder = URLInputBuilder;
helpers_1.applyMixins(URLInputBuilder, [
    methods_1.ActionId,
    methods_1.DispatchActionOnCharacterEntered,
    methods_1.DispatchActionOnEnterPressed,
    methods_1.End,
    methods_1.FocusOnLoad,
    methods_1.InitialValue,
    methods_1.Placeholder,
]);
